Package com.sun.messaging.jms.management.server

## Class ClusterNotification

- java.lang.Object
- - java.util.EventObject
  - - javax.management.Notification
    - - com.sun.messaging.jms.management.server.MQNotification
      - - com.sun.messaging.jms.management.server.ClusterNotification

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ClusterNotification
      extends MQNotification

  Class containing information on cluster related notifications.

  The MQ specific fields in this notification is TBD.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CLUSTER_BROKER_DOWN` | A broker in the cluster has gone down
    `static java.lang.String` | `CLUSTER_BROKER_JOIN` | A broker joined the cluster.

    - ### Fields inherited from class com.sun.messaging.jms.management.server.MQNotification

      `PREFIX`

    - ### Fields inherited from class javax.management.Notification

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClusterNotification​(java.lang.String type, java.lang.Object source, long sequenceNumber)` | Creates a ClusterNotification object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBrokerAddress()` |
    `java.lang.String` | `getBrokerID()` |
    `java.lang.String` | `getClusterID()` |
    `boolean` | `isHighlyAvailable()` |
    `boolean` | `isMasterBroker()` |
    `void` | `setBrokerAddress​(java.lang.String brokerAddress)` |
    `void` | `setBrokerID​(java.lang.String brokerID)` |
    `void` | `setClusterID​(java.lang.String clusterID)` |
    `void` | `setHighlyAvailable​(boolean highlyAvailable)` |
    `void` | `setMasterBroker​(boolean isMaster)` |

    - ### Methods inherited from class javax.management.Notification

      `getMessage, getSequenceNumber, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLUSTER_BROKER_DOWN

          public static final java.lang.String CLUSTER_BROKER_DOWN

      A broker in the cluster has gone down
      See Also:
        Constant Field Values

    - #### CLUSTER_BROKER_JOIN

          public static final java.lang.String CLUSTER_BROKER_JOIN

      A broker joined the cluster.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusterNotification

          public ClusterNotification​(java.lang.String type,
                                     java.lang.Object source,
                                     long sequenceNumber)

      Creates a ClusterNotification object.
      Parameters:
        `type` - The notification type.
        `source` - The notification source.
        `sequenceNumber` - The notification sequence number within the source object.

  - ### Method Detail

    - #### setBrokerID

          public void setBrokerID​(java.lang.String brokerID)

    - #### getBrokerID

          public java.lang.String getBrokerID()

    - #### setBrokerAddress

          public void setBrokerAddress​(java.lang.String brokerAddress)

    - #### getBrokerAddress

          public java.lang.String getBrokerAddress()

    - #### setClusterID

          public void setClusterID​(java.lang.String clusterID)

    - #### getClusterID

          public java.lang.String getClusterID()

    - #### setHighlyAvailable

          public void setHighlyAvailable​(boolean highlyAvailable)

    - #### isHighlyAvailable

          public boolean isHighlyAvailable()

    - #### setMasterBroker

          public void setMasterBroker​(boolean isMaster)

    - #### isMasterBroker

          public boolean isMasterBroker()